xml_set_notation_decl_handler
xml_set_processing_instruction_handler
XML Parser Functions
PHP Manual

# xml_set_object

(PHP 4, PHP 5)

xml_set_object — Use XML Parser within an object

### Description

bool xml_set_object ( resource `$parser` , object `&$object` )

This function allows to use `parser` inside `object` . All callback functions could be set with xml_set_element_handler() etc and assumed to be methods of `object` .

### Parameters

`parser`

`object`

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 xml_set_object() example

`<?php
class xml {
var $parser;
function xml()
{
$this->parser = xml_parser_create();
xml_set_object($this->parser, $this);
xml_set_element_handler($this->parser, "tag_open", "tag_close");
xml_set_character_data_handler($this->parser, "cdata");
}
function parse($data)
{
xml_parse($this->parser, $data);
}
function tag_open($parser, $tag, $attributes)
{
var_dump($parser, $tag, $attributes);
}
function cdata($parser, $cdata)
{
var_dump($parser, $cdata);
}
function tag_close($parser, $tag)
{
var_dump($parser, $tag);
}
} // end of class xml
$xml_parser = new xml();
$xml_parser->parse("<A ID='hallo'>PHP</A>");
?>`

xml_set_notation_decl_handler
xml_set_processing_instruction_handler
XML Parser Functions
PHP Manual